{
  lib,
  fetchFromGitHub,
  python3Packages,
}:

python3Packages.buildPythonApplication rec {
  pname = "webcomix";
  version = "3.11.1";
  pyproject = true;

  src = fetchFromGitHub {
    owner = "J-CPelletier";
    repo = "webcomix";
    rev = version;
    hash = "sha256-vs7IE1IQ6/2uOYqLUskW4vGFdoz8z/ZBYQPteTcdOR0=";
  };

  postPatch = ''
    substituteInPlace pyproject.toml \
      --replace-fail "poetry>=1.2.0" poetry-core \
      --replace-fail "poetry.masonry.api" "poetry.core.masonry.api" \
      --replace-fail 'pytest-rerunfailures = "^11.1.2"' 'pytest-rerunfailures = "15.0"'
  '';

  build-system = [
    python3Packages.poetry-core
  ];

  dependencies = with python3Packages; [
    click
    tqdm
    scrapy
    scrapy-splash
    scrapy-fake-useragent
    pytest-rerunfailures
    docker
  ];

  preCheck = ''
    export HOME=$(mktemp -d)
  '';

  doCheck = false;

  meta = {
    description = "Webcomic downloader";
    homepage = "https://github.com/J-CPelletier/webcomix";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ CaptainJawZ ];
    mainProgram = "webcomix";
  };
}
